#ifndef __UNO_IN_OUT_PIN_H__
#define __UNO_IN_OUT_PIN_H__

#include "../include/InOutPin.h"

#define IOP_PARSING_RESULT		IOP_USER + 1
#define IOP_GLOBAL_ANALYSIS_INPUT	IOP_USER + 2
#define IOP_SCRIPT_PARSING_RESULT	IOP_USER + 3

#define PIN_NAME_PARSING_RESULT		"ParsingResultPin"
#define PIN_NAME_SCRIPT_PARSING_RESULT	"ScriptParsingResultPin"
#define PIN_NAME_GLOBAL_ANALYSIS_INPUT  "GlobalAnalysisInputPin"

class CProcessStateInfo
{
public:
	CProcessStateInfo()
	{
		m_nCount = 0;
		m_nCurrentProcessRate;
	}
	virtual ~CProcessStateInfo()
	{
	}

	int m_nCount;
	int m_nCurrentProcessRate;
};

class CGlobalAnalysisInputPin : public CInOutPinBase
{
public:
	CGlobalAnalysisInputPin()
	{
		m_ppszArgument	=	NULL;
		m_nArgCount	=	0;
	}
	virtual ~CGlobalAnalysisInputPin()
	{
	}

	char**	m_ppszArgument;
	int	m_nArgCount;
};

#endif

